const http = uni.$u.http
// 获得企业微信的授权地址
export const getOauthUrl=(param) => http.get(`/corp/user/getOauthUrl`,{params:param})
// 企业微信用户登陆
export const login=(data) => http.post(`/corp/user/login`,data)
// 分页查询成果广场
export const resultPlazaPage=(param) => http.get(`/project/resultPlaza/page`,{params:param})
// 查询项目分类列表
export const projectCategoryList=(param) => http.get(`/category/projectCategory/list`,{params:param})
// 成果广场详情
export const resultPlazaInfo=(id) => http.get(`/project/resultPlaza/info/${id}`)
// 查询项目阶段文件列表
export const projectStageFilePage=(param) => http.get(`/project/projectStageFile/page`,{params:param})
// 获取项目阶段文件详细信息
export const projectStageFileInfo=(fileId) => http.get(`/project/projectStageFile/info/${fileId}`)
// 查询案例市场列表
export const caseMarketPage=(param) => http.get(`/project/caseMarket/page`,{params:param})
// 获取数据字典
export const dictData=(type) => http.get(`/system/dict/data/type/${type}`)
// 例市场详情
export const caseMarketInfo=(id) => http.get(`/project/caseMarket/info/${id}`)
// 我的收藏--成果广场
export const myCollectResultPage=(param) => http.get(`/collect/myCollect/result-page`,{params:param})
// 我的收藏--案例市场
export const myCollectCasePage=(param) => http.get(`/collect/myCollect/case-page`,{params:param})
// 浏览记录
export const browseDatePage=(param) => http.get(`/browse/browseDate/page`,{params:param})
// 新增我的浏览记录
export const myBrowseAdd=(data) => http.post(`/browse/myBrowse/add`,data)
// 获取用户信息
export const userInfo=(param) => http.get(`/system/user/profile`)
// 微信登录方法
export const corpLogin=(data) => http.post(`/corp/user/login`,data)
// 账号登录方法
export const accountLogin=(data) => http.post(`/login`,data)
// 添加收藏
export const addCollect=(data) => http.post(`/collect/myCollect/add`,data)
// 取消收藏
export const calCollect=(data) => http.post(`/collect/myCollect/cal`,data)

